{
	"$schema": "./node_modules/@angular/cli/lib/config/schema.json",
	"version": 1,
	"newProjectRoot": "projects",
	"projects": {
		"app-one": {
			"projectType": "application",
			"schematics": {
				"@schematics/angular:component": {
					"style": "scss"
				}
			},
			"root": "",
			"sourceRoot": "src",
			"prefix": "app",
			"architect": {
				"build": {
					"builder": "ngx-build-plus:browser",
					"options": {
						"outputPath": "dist/app-one",
						"index": "src/index.html",
						"polyfills": [
							"zone.js"
						],
						"tsConfig": "tsconfig.app.json",
						"inlineStyleLanguage": "scss",
						"assets": [
							"src/favicon.ico",
							"src/assets"
						],
						"styles": [
							"src/styles.scss"
						],
						"scripts": [],
						"main": "src/main.ts",
						"extraWebpackConfig": "webpack.config.js",
						"commonChunk": false
					},
					"configurations": {
						"production": {
							"budgets": [
								{
									"type": "initial",
									"maximumWarning": "500kb",
									"maximumError": "1mb"
								},
								{
									"type": "anyComponentStyle",
									"maximumWarning": "2kb",
									"maximumError": "4kb"
								}
							],
							"outputHashing": "all",
							"extraWebpackConfig": "webpack.prod.config.js"
						},
						"development": {
							"optimization": false,
							"extractLicenses": false,
							"sourceMap": true
						}
					},
					"defaultConfiguration": "production"
				},
				"serve": {
					"builder": "ngx-build-plus:dev-server",
					"configurations": {
						"production": {
							"buildTarget": "app-one:build:production",
							"extraWebpackConfig": "webpack.prod.config.js"
						},
						"development": {
							"buildTarget": "app-one:build:development"
						}
					},
					"defaultConfiguration": "development",
					"options": {
						"port": 5400,
						"publicHost": "http://localhost:5400",
						"extraWebpackConfig": "webpack.config.js"
					}
				},
				"extract-i18n": {
					"builder": "ngx-build-plus:extract-i18n",
					"options": {
						"buildTarget": "app-one:build",
						"extraWebpackConfig": "webpack.config.js"
					}
				},
				"test": {
					"builder": "@angular-devkit/build-angular:karma",
					"options": {
						"polyfills": [
							"zone.js",
							"zone.js/testing"
						],
						"tsConfig": "tsconfig.spec.json",
						"inlineStyleLanguage": "scss",
						"assets": [
							"src/favicon.ico",
							"src/assets"
						],
						"styles": [
							"src/styles.scss"
						],
						"scripts": []
					}
				}
			}
		}
	}
}